import React from "react";
import { Frame } from "paperclip-web-renderer";
import { VirtualElement, VirtualNode, VirtualText, LoadedPCData } from "paperclip-utils";
declare type FramesProps = {
    expandedFrameIndex?: number;
};
export declare const Frames: React.MemoExoticComponent<({ expandedFrameIndex }: FramesProps) => JSX.Element>;
declare type UseFrames2Props = {
    version: number;
    fileData: Record<string, LoadedPCData>;
    shouldCollectRects: boolean;
};
declare type FrameInfo = {
    preview: any;
    frames: Frame[];
};
declare type MultiFrameControllerState = {
    frames: Record<string, FrameInfo>;
};
export declare const useMultipleFrames: ({ version, fileData, shouldCollectRects }: UseFrames2Props) => MultiFrameControllerState;
declare type UseFramesProps = {
    fileUri: string;
    shouldCollectRects: boolean;
};
export declare const useFrames: ({ fileUri, shouldCollectRects }: UseFramesProps) => {
    onFrameLoaded: () => void;
    uri: string;
    frames: Frame[];
    preview?: VirtualNode;
};
declare type FrameProps = {
    frame: Frame;
    expanded: boolean;
    preview: VirtualText | VirtualElement;
    onLoad: () => void;
};
declare const Frame: React.MemoExoticComponent<({ frame, preview, expanded, onLoad }: FrameProps) => JSX.Element>;
export {};
