import React from "react";
export declare type TextInputProps = {
    autoResize?: boolean;
    value: string;
    onValueChange: (value: string) => void;
    onBlur?: () => void;
};
export declare const TextInput: ({ autoResize, onValueChange, onBlur, value }: TextInputProps) => JSX.Element;
declare type UseTextInputProps = {
    value: string;
    onBlur?: () => void;
    onValueChange?: (value: string) => any;
    onSave?: (value: string) => any;
    onEscape?: () => any;
    select?: boolean;
};
export declare const useTextInput: ({ value, onValueChange, onSave, onBlur, onEscape, select }: UseTextInputProps) => {
    inputProps: {
        ref: React.MutableRefObject<HTMLInputElement>;
        onChange: (event: any) => void;
        onFocus: (e: any) => void;
        onBlur: () => void;
        onKeyPress: (event: any) => void;
        defaultValue: string;
    };
    refValue: string;
};
export {};
